export type ValuLabel = {
    value: string;
    label: string;
};
export type Data = {
    [key: string]: string | number | undefined | null;
};
export type TableData = {
    [key: string]: {
        value: string;
        isId?: boolean;
        unique?: boolean;
    };
};
export type SelectedCsvData = {
    value: string;
    reference?: string;
};
export type Link = {
    external: string;
    resourceId: string;
};
export interface FileUploadEvent extends Event {
    target: EventTarget & {
        files: FileList;
    };
}
export interface FileDragEvent extends DragEvent {
    dataTransfer: DataTransfer & {
        files: FileList;
    };
}
